更新无法进行,提示“GPG签名验证错误“问题的解决

为当前最终发行版之前的所有版本提供支持
回复
lycsm
帖子: 44
注册时间: 2008-09-16 2:11
送出感谢: 0
接收感谢: 0

更新无法进行,提示“GPG签名验证错误“问题的解决

#1

帖子 lycsm » 2008-09-19 1:24

以下办法是我结合自己电脑的问题,并参照http://quickbest.com.cn/discuz/thread-29988-1-1.html得出的,希望大家一起学习,remove windows!!

问题描述:
W: GPG签名验证错误: http://www.debian-multimedia.org sid Release: 由于没有公钥,下列签名无法进行验证: NO_PUBKEY 07DC563D1F41B907

解决办法参照下面可以解决:
添加公钥的命令:
$ gpg --keyserver subkeys.pgp.net --recv 4F6C1E86
$ gpg --export --armor 4F6C1E86 | sudo apt-key add -

对于错误提示:
引用:

正在读取软件包列表... 完成
W: GPG签名验证错误: http://deb.opera.com unstable Release: 由于没有公钥,下列签名无法进行验证: NO_PUBKEY 033431536A423791
W: 您可能需要运行 apt-get update 来解决这些问题



需要把上面两行命令中的“4F6C1E86”替换成“NO_PUBKEY”后面的字串的最后8位,也即:
$ gpg --keyserver subkeys.pgp.net --recv 6A423791
$ gpg --export --armor 6A423791 | sudo apt-key add -



总结: 除此之外,我的更新还有软件源的问题,因此用以下两个命令行:
sudo cp /etc/apt/sources.list /etc/apt/sources.list_backup
sudo gedit /etc/apt/sources.list
打开更新源文件,望里面复制新的地址,可以从wiki官方网站找最新的。但是还是没有解决。
最后的解决办法是进入系统/系统管理/软件源/下载自
进入这个下拉列表,选择其他,然后再选择最快的地址。问题解决!!!!!!!!

注明:字体红色部分为参照内容。
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#2

帖子 stlxv » 2008-09-19 6:31

:shock:
PHP是最好的语言!不服来战!
mfecit
帖子: 156
注册时间: 2006-12-03 17:59
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#3

帖子 mfecit » 2008-10-17 17:42

:em52
参照贴子 问题搞定
lztao82
帖子: 28
注册时间: 2008-10-13 18:45
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#4

帖子 lztao82 » 2008-11-02 13:07

签名搞定了,可是还是有下面这些提示,估计跟源有关系,再试试看看。
W: 无法下载 http://mirror.rootguide.org/ubuntu/dist ... ckages.bz2 Hash 校验和不符
W: 无法下载 http://mirror.rootguide.org/ubuntu/dist ... ources.bz2 Hash 校验和不符
W: 无法下载 http://mirror.rootguide.org/ubuntu/dist ... ources.bz2 Hash 校验和不符
W: 无法下载 http://mirror.rootguide.org/ubuntu/dist ... ources.bz2 Hash 校验和不符
W: 无法下载 http://mirror.rootguide.org/ubuntu/dist ... ckages.bz2 Hash 校验和不符
lztao82
帖子: 28
注册时间: 2008-10-13 18:45
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#5

帖子 lztao82 » 2008-11-02 13:48

换了源之后倒是没有这些问题了。
可是,参照速配指南8.10里面的多媒体应用环境设置,却显示如下,在新立德里面查又找不到w32codecs.

~$ sudo apt-get install libxine1-ffmpeg libxine1-all-plugins libxine1-plugins w32codecs gcc-3.3-base libstdc++5
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
现在没有可用的软件包 w32codecs,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 w32codecs 还没有可供安装的候选者
vgcat
帖子: 1
注册时间: 2008-12-20 2:20
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#6

帖子 vgcat » 2008-12-20 2:24

有简单方法不用?点系统-系统管理-软件源-身份验证-导入密钥文件,选择你下载的.pgp文件就可以了
dragon261
帖子: 42
注册时间: 2009-04-23 8:27
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#7

帖子 dragon261 » 2009-04-28 21:33

vgcat 写了:有简单方法不用?点系统-系统管理-软件源-身份验证-导入密钥文件,选择你下载的.pgp文件就可以了
6楼可否指明.pgp文件的位置?
头像
marine8086
帖子: 23
注册时间: 2006-08-27 11:52
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#8

帖子 marine8086 » 2009-08-19 13:43

代码: 全选

gpg --export --output key.pgp 6A423791
头像
geleibo
帖子: 34
注册时间: 2009-01-16 22:02
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#9

帖子 geleibo » 2009-09-06 21:34

我也遇到了类似的问题,后面我删除了/etc/apt/source.list里面自定义添加的源,问题就没有再出现了
人不是每天都年轻
QQ:540938880
E_mail:geleibo@sina.com
heiyou
帖子: 80
注册时间: 2008-11-19 16:18
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#10

帖子 heiyou » 2009-12-05 10:24

有些源总是报告:
无法下载 某文件 404 错误

删除这些源就可以了。我是这么做的。
头像
galaxy2007
帖子: 174
注册时间: 2009-07-26 17:40
送出感谢: 2 次
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#11

帖子 galaxy2007 » 2010-01-23 22:39

我用的是原始源阿~为什么还会这样呢??
头像
mymathersname
帖子: 2870
注册时间: 2008-09-18 23:40
系统: Ubuntu 15.04 x64
来自: Mars
送出感谢: 1 次
接收感谢: 1 次

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#12

帖子 mymathersname » 2010-01-23 23:12

galaxy2007 写了:我用的是原始源阿~为什么还会这样呢??
原始源有时候也会有问题的……比方说PPA源也会,而且更加频发……
转移各位校内,百毒朋友,把目标转向twitter和facebook,别总看局域网的内容
其实从那么多的ubuntu发行版和fedora的各个发行版中,我们不难看出,linux的进步是惊人的,从长久的发展规律和更加深远的意义来看,linux桌面版与微软的距离在缩小,这是值得庆幸的……
ubuntu是半年还去偷情一次的初恋。fedora是一生挚爱的正室。debian是和正室同等地位的妾侍。rh/cent是用来偷窥的正室大姐姐。suse是一夜夫妻百二蚊。gentoo是有内涵的才女。arch是久闻其名不敢接触的怪叔叔。其余发行版,我是帝皇它们是屁民,无福宠幸。
头像
guofengzone
帖子: 103
注册时间: 2008-10-13 7:47
送出感谢: 0
接收感谢: 0
联系:

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#13

帖子 guofengzone » 2010-07-04 8:28

这个办法还行,学习了。
asdface
帖子: 33
注册时间: 2009-09-29 11:30
送出感谢: 0
接收感谢: 0

Re: 更新无法进行,提示“GPG签名验证错误“问题的解决

#14

帖子 asdface » 2010-09-09 19:05

不错的方法
回复

回到 “老旧版本支持”